Debian Bug report logs - #457062
exiftags: CVE-2007-635{4,5,6} multiple vulnerabilities

version graph

Package: exiftags; Maintainer for exiftags is Laszlo Boszormenyi (GCS) <gcs@debian.org>; Source for exiftags is src:exiftags.

Reported by: Nico Golde <nion@debian.org>

Date: Wed, 19 Dec 2007 13:15:02 UTC

Severity: grave

Tags: security

Fixed in version exiftags/1.01-0.1

Done: Nico Golde <nion@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mike Mattice <mattice@debian.org>:
Bug#457062; Package exiftags. Full text and rfc822 format available.

Acknowledgement sent to Nico Golde <nion@debian.org>:
New Bug report received and forwarded. Copy sent to Mike Mattice <mattice@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nico Golde <nion@debian.org>
To: submit@bugs.debian.org
Subject: exiftags: CVE-2007-6356 CVE-2007-6355 multiple vulnerabilities
Date: Wed, 19 Dec 2007 14:06:21 +0100
[Message part 1 (text/plain, inline)]
Package: exiftags
Severity: grave
Tags: security

Hi,
the following CVE (Common Vulnerabilities & Exposures) id was
published for exiftags.

CVE-2007-6356[0]:
| exiftags before 1.01 allows attackers to cause a denial of service
| (infinite loop) via recursive IFD references in the EXIF data in a
| JPEG image.

CVE-2007-6355[1]:
| Unspecified vulnerability in exiftags before 1.01 has 
| unknown impact and attack vectors, resulting from a "field 
| offset overflow," a different vulnerability than 
| CVE-2007-6354.

If you fix this vulnerability please also include the CVE id
in your changelog entry.

For further information:
[0] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-6356
[0] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-6355

Kind regards
Nico

-- 
Nico Golde - http://www.ngolde.de - nion@jabber.ccc.de - GPG: 0x73647CFF
For security reasons, all text in this mail is double-rot13 encrypted.
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to `exiftags: CVE-2007-635{4,5,6} multiple vulnerabilities' from `exiftags: CVE-2007-6356 CVE-2007-6355 multiple vulnerabilities'. Request was from Nico Golde <nion@debian.org> to control@bugs.debian.org. (Wed, 19 Dec 2007 13:39:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mike Mattice <mattice@debian.org>:
Bug#457062; Package exiftags. Full text and rfc822 format available.

Acknowledgement sent to Nico Golde <nion@debian.org>:
Extra info received and forwarded to list. Copy sent to Mike Mattice <mattice@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a Bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #12 received at 457062@bugs.debian.org (full text, mbox):

From: Nico Golde <nion@debian.org>
To: 457062@bugs.debian.org
Date: Wed, 19 Dec 2007 14:18:35 +0100
[Message part 1 (text/plain, inline)]
Hi,
there is just another CVE id for exiftags:
CVE-2007-6354[0]:
| Unspecified vulnerability in exiftags before 1.01 has 
| unknown impact and attack vectors, resulting from a "field 
| offset overflow," a different vulnerability than 
| CVE-2007-6355.

Please check back with upstream for the difference to 
CVE-2007-6355. I had a quick look at the source changes and 
its not obvious what the difference should be.

[0] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-6354

Kind regards
Nico

-- 
Nico Golde - http://www.ngolde.de - nion@jabber.ccc.de - GPG: 0x73647CFF
For security reasons, all text in this mail is double-rot13 encrypted.
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to `exiftags: CVE-2007-635{5,6} multiple vulnerabilities' from `exiftags: CVE-2007-635{4,5,6} multiple vulnerabilities'. Request was from Nico Golde <nion@debian.org> to control@bugs.debian.org. (Thu, 03 Jan 2008 19:18:05 GMT) Full text and rfc822 format available.

Changed Bug title to `exiftags: CVE-2007-635{4,5,6} multiple vulnerabilities' from `exiftags: CVE-2007-635{5,6} multiple vulnerabilities'. Request was from Nico Golde <nion@debian.org> to control@bugs.debian.org. (Thu, 03 Jan 2008 19:30:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mike Mattice <mattice@debian.org>:
Bug#457062; Package exiftags. Full text and rfc822 format available.

Acknowledgement sent to Nico Golde <nion@debian.org>:
Extra info received and forwarded to list. Copy sent to Mike Mattice <mattice@debian.org>. Full text and rfc822 format available.

Message #21 received at 457062@bugs.debian.org (full text, mbox):

From: Nico Golde <nion@debian.org>
To: 457062@bugs.debian.org
Subject: Re: Bug#457062: exiftags: CVE-2007-6356 CVE-2007-6355 multiple vulnerabilities
Date: Fri, 4 Jan 2008 15:49:40 +0100
[Message part 1 (text/plain, inline)]
Hi,
I intend to upload a 0-day NMU for this.
Patch is attached. Unfortunately this NMU will update to the 
newest upstream version. I am not really comfortable with 
this but I have several reasons to do so.

The maintainer is MIA but the package is not orphaned, the 
upstream author is not really responsive in providing 
patches, there is no patch available and without having a 
deep knowledge of what the code does it is also not really 
possible to extract one out of the diff between the 
versions and writing one from scratch seems to be not 
possible for the same reason.

Patch attached.

Kind regards
Nico
-- 
Nico Golde - http://www.ngolde.de - nion@jabber.ccc.de - GPG: 0x73647CFF
For security reasons, all text in this mail is double-rot13 encrypted.
[exiftags-1.00-1_1.0.1-0.1.patch (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mike Mattice <mattice@debian.org>:
Bug#457062; Package exiftags. Full text and rfc822 format available.

Acknowledgement sent to Nico Golde <nion@debian.org>:
Extra info received and forwarded to list. Copy sent to Mike Mattice <mattice@debian.org>. Full text and rfc822 format available.

Message #26 received at 457062@bugs.debian.org (full text, mbox):

From: Nico Golde <nion@debian.org>
To: 457062@bugs.debian.org
Subject: Re: Bug#457062: exiftags: CVE-2007-6356 CVE-2007-6355 multiple vulnerabilities
Date: Fri, 4 Jan 2008 16:02:14 +0100
[Message part 1 (text/plain, inline)]
Ok because this is rather intrusive I uploaded it to 3-day 
DELAYED now.
Kind regards
Nico
-- 
Nico Golde - http://www.ngolde.de - nion@jabber.ccc.de - GPG: 0x73647CFF
For security reasons, all text in this mail is double-rot13 encrypted.
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Nico Golde <nion@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Nico Golde <nion@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 457062-close@bugs.debian.org (full text, mbox):

From: Nico Golde <nion@debian.org>
To: 457062-close@bugs.debian.org
Subject: Bug#457062: fixed in exiftags 1.01-0.1
Date: Sun, 06 Jan 2008 21:32:03 +0000
Source: exiftags
Source-Version: 1.01-0.1

We believe that the bug you reported is fixed in the latest version of
exiftags, which is due to be installed in the Debian FTP archive:

exiftags_1.01-0.1.diff.gz
  to pool/main/e/exiftags/exiftags_1.01-0.1.diff.gz
exiftags_1.01-0.1.dsc
  to pool/main/e/exiftags/exiftags_1.01-0.1.dsc
exiftags_1.01-0.1_i386.deb
  to pool/main/e/exiftags/exiftags_1.01-0.1_i386.deb
exiftags_1.01.orig.tar.gz
  to pool/main/e/exiftags/exiftags_1.01.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 457062@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nico Golde <nion@debian.org> (supplier of updated exiftags package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 03 Jan 2008 20:10:57 +0100
Source: exiftags
Binary: exiftags
Architecture: source i386
Version: 1.01-0.1
Distribution: unstable
Urgency: high
Maintainer: Mike Mattice <mattice@debian.org>
Changed-By: Nico Golde <nion@debian.org>
Description: 
 exiftags   - Utility to read Exif tags from a digital camera JPEG file
Closes: 457062
Changes: 
 exiftags (1.01-0.1) unstable; urgency=high
 .
   * Non-maintainer upload by security team.
   * New upstream release (Closes: #457062):
     - CVE-2007-6356: exiftags before 1.01 allows attackers to cause a denial
       of service (infinite loop) via recursive IFD references in the EXIF data
       in a JPEG image.
     - CVE-2007-6355: Unspecified vulnerability in exiftags before 1.01 has
       unknown impact and attack vectors, resulting from a "field
       offset overflow,"
Files: 
 cfe8a608a7e7cae8f110b0fbe5dd44fa 565 graphics optional exiftags_1.01-0.1.dsc
 9d5bce968fdde2dc24ba49c0024dc0cc 70921 graphics optional exiftags_1.01.orig.tar.gz
 e0eb4f0d6bbac4e5009339809c7fd08b 2176 graphics optional exiftags_1.01-0.1.diff.gz
 a5e6c936949ba6f1dc9c8f7ad7a61c5b 81596 graphics optional exiftags_1.01-0.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHfkh1HYflSXNkfP8RAi86AJ9droz3pig8laYcGaOW7hxq68oxaACeOB1y
SPko0twaquda8Pj5pV2NRg0=
=o2wd
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Jul 2008 07:31:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:15:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.